List news articles

View as Markdown

USE FOR: Browsing news/articles in the canonical news domain with optional filtering. NOT FOR: Pre-create or pre-update identity gates; use /v1/news/duplicate-check.

Authentication

X-Client-Secretstring

Client secret for read-only service-to-service access (no writes)

Query parameters

searchstringOptional

Full-text news search term.

categorystringOptional
News category slug to include or exclude.
excludeIdintegerOptional
Exclude one news article by id.
letterstringOptional

Author-name initial.

cursorstringOptional
Cursor token returned by the previous thin page.
modestringOptional

Response mode; use thin for cursor-paginated index reads.

pageintegerOptional>=0Defaults to 0

Zero-based page index (0..N)

sizeintegerOptional>=1Defaults to 25
The size of the page to be returned
sortlist of stringsOptional

Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

Response

OK
contentlist of objectsOptional
emptybooleanOptional
firstbooleanOptional
lastbooleanOptional
numberintegerOptional
numberOfElementsintegerOptional
pageableobjectOptional
sizeintegerOptional
sortobjectOptional
totalElementslongOptional
totalPagesintegerOptional

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
406
Not Acceptable Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error